ZuluTrade App for iPhone, iPad and iPod Touch

AA-00242

ZuluTrade has released a mobile app for your Apple iOS based device, including iPhone, iPad and iPod Touch. Your device should have iOS 5.0 or later version to be able to run the application.

To download the application, please visit Apps Store directly from your device and search for ZuluTrade, or you can simply click the link here.